# Uses of Interface
net.shibboleth.profile.relyingparty.RelyingPartyConfiguration

Packages that use RelyingPartyConfiguration
Package
Description
net.shibboleth.profile.config.navigate
Lookup functions for accessing profile configuration and related settings.
net.shibboleth.profile.config.navigate.messaging
Lookup functions for accessing profile configuration and related settings via a message context.
net.shibboleth.profile.context
Context classes used in profile handling.
net.shibboleth.profile.relyingparty
Shared RelyingPartyConfiguration and resolver APIs.
net.shibboleth.profile.relyingparty.impl
Implementation of relying party resolution.

## Uses of RelyingPartyConfiguration in net.shibboleth.profile.config.navigate

Methods in net.shibboleth.profile.config.navigate with parameters of type RelyingPartyConfiguration
Modifier and Type
Method
Description
`protected SecurityConfiguration`
AbstractDefaultSecurityConfigurationLookupFunction.`getDefaultSecurityConfiguration(RelyingPartyConfiguration relyingPartyConfiguration, ProfileRequestContext profileRequestContext)`
Return the default `SecurityConfiguration` for the `RelyingPartyConfiguration`.

## Uses of RelyingPartyConfiguration in net.shibboleth.profile.config.navigate.messaging

Methods in net.shibboleth.profile.config.navigate.messaging with parameters of type RelyingPartyConfiguration
Modifier and Type
Method
Description
`protected SecurityConfiguration`
AbstractDefaultSecurityConfigurationLookupFunction.`getDefaultSecurityConfiguration(RelyingPartyConfiguration relyingPartyConfiguration, MessageContext messageContext)`
Return the default `SecurityConfiguration` for the `RelyingPartyConfiguration`.

## Uses of RelyingPartyConfiguration in net.shibboleth.profile.context

Fields in net.shibboleth.profile.context declared as RelyingPartyConfiguration
Modifier and Type
Field
Description
`private RelyingPartyConfiguration`
RelyingPartyContext.`relyingPartyConfiguration`
The relying party configuration.
Methods in net.shibboleth.profile.context that return RelyingPartyConfiguration
Modifier and Type
Method
Description
`RelyingPartyConfiguration`
RelyingPartyContext.`ensureConfiguration()`
Get the relying party configuration, raising an `IllegalStateException` if null.
`RelyingPartyConfiguration`
RelyingPartyContext.`getConfiguration()`
Get the relying party configuration.
Methods in net.shibboleth.profile.context with parameters of type RelyingPartyConfiguration
Modifier and Type
Method
Description
`RelyingPartyContext`
RelyingPartyContext.`setConfiguration(RelyingPartyConfiguration config)`
Set the configuration to use when processing requests for this relying party.

## Uses of RelyingPartyConfiguration in net.shibboleth.profile.relyingparty

Classes in net.shibboleth.profile.relyingparty that implement RelyingPartyConfiguration
Modifier and Type
Class
Description
`class`
`BasicRelyingPartyConfiguration`
The configuration that applies to a peer with which the software is communicating.

## Uses of RelyingPartyConfiguration in net.shibboleth.profile.relyingparty.impl

Fields in net.shibboleth.profile.relyingparty.impl declared as RelyingPartyConfiguration
Modifier and Type
Field
Description
`private RelyingPartyConfiguration`
DefaultRelyingPartyConfigurationResolver.`defaultRelyingPartyConfiguration`
Default relying party, used if no other verified instance matches.
`private RelyingPartyConfiguration`
DefaultRelyingPartyConfigurationResolver.`unverifiedConfiguration`
Unverified relying party configuration, used if the request is unverified.
Fields in net.shibboleth.profile.relyingparty.impl with type parameters of type RelyingPartyConfiguration
Modifier and Type
Field
Description
`private List<RelyingPartyConfiguration>`
DefaultRelyingPartyConfigurationResolver.`rpConfigurations`
Registered relying party configurations.
Methods in net.shibboleth.profile.relyingparty.impl that return RelyingPartyConfiguration
Modifier and Type
Method
Description
`RelyingPartyConfiguration`
DefaultRelyingPartyConfigurationResolver.`getDefaultConfiguration()`
Get the `RelyingPartyConfiguration` to use if no other configuration is applicable.
`RelyingPartyConfiguration`
DefaultRelyingPartyConfigurationResolver.`getUnverifiedConfiguration()`
Get the `RelyingPartyConfiguration` to use if the configuration is found to be "unverified" (via use of `VerifiedProfileCriterion`).
`RelyingPartyConfiguration`
DefaultRelyingPartyConfigurationResolver.`resolveSingle(CriteriaSet criteria)`
Methods in net.shibboleth.profile.relyingparty.impl that return types with arguments of type RelyingPartyConfiguration
Modifier and Type
Method
Description
`Collection<? extends RelyingPartyConfiguration>`
DefaultRelyingPartyConfigurationResolver.`getRelyingPartyConfigurations()`
Get an unmodifiable list of verified relying party configurations.
`Iterable<RelyingPartyConfiguration>`
DefaultRelyingPartyConfigurationResolver.`resolve(CriteriaSet criteria)`
`protected Pair<RelyingPartyConfiguration,ProfileRequestContext>`
BaseCriteriaRelyingPartyConfiigurationResolver.`resolveRelyingPartyConfiguration(CriteriaSet criteria)`
Resolve the `RelyingPartyConfiguration` based on the input `CriteriaSet`.
Methods in net.shibboleth.profile.relyingparty.impl with parameters of type RelyingPartyConfiguration
Modifier and Type
Method
Description
`private List<DecryptionConfiguration>`
CriteriaDecryptionConfigurationResolver.`buildConfigList(RelyingPartyConfiguration rpc, ProfileRequestContext prc, CriteriaSet criteria)`
Build the list of configurations.
`void`
DefaultRelyingPartyConfigurationResolver.`setDefaultConfiguration(RelyingPartyConfiguration configuration)`
Set the `RelyingPartyConfiguration` to use if no other configuration is applicable.
`void`
DefaultRelyingPartyConfigurationResolver.`setUnverifiedConfiguration(RelyingPartyConfiguration configuration)`
Set the `RelyingPartyConfiguration` to use if the configuration is found to be "unverified" (via use of `VerifiedProfileCriterion`).
Method parameters in net.shibboleth.profile.relyingparty.impl with type arguments of type RelyingPartyConfiguration
Modifier and Type
Method
Description
`void`
DefaultRelyingPartyConfigurationResolver.`setRelyingPartyConfigurations(Collection<? extends RelyingPartyConfiguration> configs)`
Set the verified relying party configurations.